Subject: bug#17562: 24.4.50; REGRESSION: mouse double-click on `(` does not select whole Lisp sexp

From: Stephen Berman <[email-masked]>
Date: Mon, 26 May 2014 23:41:28 +0200

On Fri, 23 May 2014 10:00:17 -0700 (PDT) Drew Adams <[email-masked]> wrote:

> Regression after Emacs 24.3.
>
> emacs -Q
>
> Visit dired.el. Double-click on the opening paren of
>
> (defun dired-get-filename ...
>
> Only part of the defun is selected.  It seems that a defun needs to fit
> entirely within the window (i.e., be completely visible) for mouse
> selection by double-clicking to work correctly now.
>
>
> In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
>  of 2014-05-17 on ODIEONE
> Bzr revision: 117119 [email-masked]
> Windowing system distributor `Microsoft Corp.', version 6.1.7601

I also noticed this problem with builds on GNU/Linux, starting with
trunk bzr 117109 (though prior to that build I had been building only
from the emacs-24 branch for a while, so I don't know when the problem
first appeared in trunk, and I haven't had time to bisect).  AFAICT it
happens in any mode, not just Emacs Lisp mode.  I don't see the problem
with builds from the emacs-24 branch.

Steve Berman